[Lunar-commits] <lunar> bugfix merge: unc->osdn. Also --want version no longer acts for dependencies, and "exiled" modules are not installed when linned.

Auke Kok sofar at lunar-linux.org
Mon Jul 2 04:43:02 CEST 2012


commit 3b2fd7f94a27c2944600fbd2dd7559062f36b186
Author: Auke Kok <sofar at lunar-linux.org>
Date:   Fri May 20 08:36:45 2005 +0000

    bugfix merge: unc->osdn. Also --want version no longer acts for dependencies, and "exiled" modules are not installed when linned.
---
 etc/lunar/config |   11 ++++++-----
 sbin/lin         |    6 +++---
 2 files changed, 9 insertions(+), 8 deletions(-)

diff --git a/etc/lunar/config b/etc/lunar/config
index ef32c92..2c0c81b 100755
--- a/etc/lunar/config
+++ b/etc/lunar/config
@@ -50,20 +50,21 @@ export        DIALOGRC=/etc/lunar/dialogrc
 
               ARCHIVE=${ARCHIVE:=on}
               AUTOFIX=${AUTOFIX:=on}
-            AUTOPRUNE=${AUTOPRUNE:=off}
+            AUTOPRUNE=${AUTOPRUNE:=on}
          MAIL_REPORTS=${MAIL_REPORTS:=off}
              PRESERVE=${PRESERVE:=on}
                  REAP=${REAP:=on}
                 ADMIN=${ADMIN:=root}
                 SOUND=${SOUND:=off}
               SUSTAIN=${SUSTAIN:=on}
-         VIEW_REPORTS=${VIEW_REPORTS:=on}
+         VIEW_REPORTS=${VIEW_REPORTS:=off}
                VOYEUR=${VOYEUR:=on}
               GARBAGE=${GARBAGE:=on}
          PROMPT_DELAY=${PROMPT_DELAY:=150}
- 	  GCCWRAPPERS=${GCCWRAPPERS:=on}
+          GCCWRAPPERS=${GCCWRAPPERS:=on}
         PROBE_EXPIRED=${PROBE_EXPIRED:=on}
-        LUNAR_PRIORITY="+10"
+                TMPFS=${TMPFS:=off}
+       LUNAR_PRIORITY="+10"
 
 #total number of sources for a module
            MAX_SOURCES=100
@@ -77,7 +78,7 @@ export        DIALOGRC=/etc/lunar/dialogrc
               KDE_URL=ftp://ftp.kde.org/pub/kde/
             GNOME_URL=ftp://ftp.gnome.org/pub/GNOME/
            KERNEL_URL=ftp://ftp.kernel.org/
-           SFORGE_URL=http://unc.dl.sourceforge.net/sourceforge/
+           SFORGE_URL=http://osdn.dl.sourceforge.net/sourceforge/
           XFREE86_URL=ftp://ftp.xfree86.org/pub/XFree86/
           LRESORT_URL=http://lunar-linux.org/lunar/cache/
 
diff --git a/sbin/lin b/sbin/lin
index 7c944a4..7a2f7b4 100755
--- a/sbin/lin
+++ b/sbin/lin
@@ -125,7 +125,7 @@ main() {
       # no strange stuff should happen here anymore
       for MODULE in $MODULES ; do
         if ! module_installed $MODULE || [ ! -n "$PROBE" ] || ( [ -n "$PROBE" ] && [ "$PROBE_EXPIRED" == "on" ] && module_is_expired $MODULE ) ; then
-          if ! module_held $MODULE ; then
+          if ! module_held $MODULE && ! module_exiled $MODULE ; then
             linING="/var/lock/installing.$MODULE"
             verbose_msg "starting lin \"$MODULE\""
             if ! ( SINGLE_MODULE=1 main $MODULE ) ; then
@@ -139,7 +139,7 @@ main() {
               fi
             fi
           else
-            verbose_msg "Skipping compile and install for held module \"$MODULE\""
+            verbose_msg "Skipping compile and install for held/exiled module \"$MODULE\""
           fi
         fi
       done
@@ -156,7 +156,7 @@ main() {
 
     run_details $MODULE &&
     run_depends $MODULE &&
-    satisfy_depends $MODULE
+    WANT_VERSION= satisfy_depends $MODULE
 
     if [ -z "$DEPS_ONLY" ] ; then
       if ! module_held $MODULE ; then


More information about the Lunar-commits mailing list